LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 02-26-2004, 09:37 AM   #1
araldit
Member
 
Registered: Feb 2004
Posts: 66

Rep: Reputation: 15
Upgrade to kernel 2.6.3


Hi all.
I'm currently running mandrake linux 9.2 with the kernel 2.4.22-mdk10. However i have minor errors, and have read that compiling a new kernel with the right modules will solve the problem.
The computer is an IBM Thinkpad 770x, 300Mhz pentium II.

My sound isn't running and my network has to be restartet at least 5 times to find the DHCP server.

My question is now, that upgrading the kernel requires some new utils, which i have downloaded and installed, but still i need a few.

jfsutils 1.1.3 ; I have 1.0.24
xfsprogs 2.6.0 ; I have 2.5.4-2mdk
procps 3.1.13 ; I have 3.1.11
oprofile 0.5.3 ; Couldn't find it.

These minumum requirements are taken from the readme file followed by the kernel file.

Quote:
Current Minimal Requirements
============================

Upgrade to at *least* these software revisions before thinking you've
encountered a bug! If you're unsure what version you're currently
running, the suggested command should tell you.

Again, keep in mind that this list assumes you are already
functionally running a Linux 2.4 kernel. Also, not all tools are
necessary on all systems; obviously, if you don't have any PCMCIA (PC
Card) hardware, for example, you probably needn't concern yourself
with pcmcia-cs.

o Gnu C 2.95.3 # gcc --version
o Gnu make 3.78 # make --version
o binutils 2.12 # ld -v
o util-linux 2.10o # fdformat --version
o module-init-tools 0.9.10 # depmod -V
o e2fsprogs 1.29 # tune2fs
o jfsutils 1.1.3 # fsck.jfs -V
o reiserfsprogs 3.6.3 # reiserfsck -V 2>&1|grep reiserfsprogs
o xfsprogs 2.6.0 # xfs_db -V
o pcmcia-cs 3.1.21 # cardmgr -V
o quota-tools 3.09 # quota -V
o PPP 2.4.0 # pppd --version
o isdn4k-utils 3.1pre1 # isdnctrl 2>&1|grep version
o nfs-utils 1.0.5 # showmount --version
o procps 3.1.13 # ps --version
o oprofile 0.5.3 # oprofiled --version
Anyone know how to find these missing utils????
 
Old 02-26-2004, 11:04 AM   #2
Talornin
LQ Newbie
 
Registered: Feb 2004
Distribution: Gentoo
Posts: 10

Rep: Reputation: 0
xfsprogs and jfsutils are only needed if you are going to use the JFS or XFS filesystems, wich I highly doubt you are.

I really doubt you need any of the other packagesalso, bur oprofile can be found at http://oprofile.sourceforge.net and procps at http://procps.sourceforge.net/

Where to find mdk rpm's of these I dont know bur you could try rpmseek.com
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Kernel Audit Support Unavaible error when booting after kernel upgrade abefroman Red Hat 2 03-21-2013 09:32 AM
Kernel Upgrade now Kernel Panic saltireboy Slackware 9 01-24-2006 12:44 AM
kernel panic after kernel upgrade flebber Debian 8 04-08-2005 08:26 AM
What first upgrade kernel or upgrade slack 10.0 to current Kelean Slackware 7 01-16-2005 07:54 PM
Kernel upgrade: Unable to handle kernel paging request deviantintegral Debian 4 07-14-2004 05:59 PM


All times are GMT -5. The time now is 08:25 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration